<div class="container back">
  <h1>Prijava</h1>
  <br>

  <p>Molimo Vas popunite polja ne bi li se prijavili.</p>

  <form class="ui form" [formGroup]="loginForm" (ngSubmit)="login()">
    <div class="required fluid field" [ngClass]="{ errror: emailHasErrors()}">
      <label>Email</label>
      <input type="text" placeholder="Unesite email" formControlName="email">
    </div>
    <div class="ui negative message" *ngIf="emailErrorMessage().length > 0">
      <ul class="list">
        <li *ngFor="let errorMessage of emailErrorMessage()">{{ errorMessage }}</li>
      </ul>
    </div>
    <br>
    <div class="required fluid field" [ngClass]="{ errror: passwordHasErrors()}">
      <label>Lozinka</label>
      <input type="password" placeholder="Unesite password" formControlName="password">
    </div>
    <div class="ui negative message" *ngIf="passwordErrorMessage().length > 0">
      <ul class="list">
        <li *ngFor="let errorMessage of passwordErrorMessage()">{{ errorMessage }}</li>
      </ul>
    </div>
    <br>

    <button class="ui fluid button" type="submit">Prijavite se</button>
  </form>

  <div class="container signin">
    <p>Nemate nalog? <a routerLink="/register">Registrujte se</a>.</p>
  </div>
</div>
